VSTGUI: Version 4.0

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Functions
Version 4.0
New classes

## Classes
class | AlphaValueAnimation
| animates the alpha value of the view More...
class | ViewSizeAnimation
| animates the view size of the view More...
class | ExchangeViewAnimation
| exchange a view by another view with an animation More...
class | ControlValueAnimation
| animates the value of a CControl More...
class | Animator
| Animation runner. More...
class | FinishedMessage
| Animation Finished Message Object. More...
class | IAnimationTarget
| Animation target interface. More...
class | ITimingFunction
| Animation timing function interface. More...
class | TimingFunctionBase
class | LinearTimingFunction
class | PowerTimingFunction
class | InterpolationTimingFunction
class | RepeatTimingFunction
class | CNinePartTiledBitmap
| a nine-part tiled bitmap More...
class | CBitmapPixelAccess
| direct pixel access to a CBitmap More...
class | CDropSource
| drop source More...
class | IKeyboardHook
| generic keyboard hook interface for CFrame More...
class | IViewAddedRemovedObserver
| view added removed observer interface for CFrame More...
class | CGradient
| Gradient Object [new in 4.0]. More...
class | CGraphicsPath
| Graphics Path Object. More...
struct | CGraphicsTransform
| Graphics Transform Matrix. More...
class | CCheckBox
| a check box control with a title and 3 states More...
class | CTextButton
| a button which renders without bitmaps More...
class | IColorChooserDelegate
class | CColorChooser
class | IFontChooserDelegate
struct | CFontChooserUIDefinition
class | CFontChooser
class | CAnimationSplashScreen
| a splash screen which animates the opening and closing of the splash bitmap More...
class | CSplitView
| a split container view with separators between its child views More...
class | IFocusDrawing
| Custom focus drawing interface. More...
class | IController
| extension to IControlListener used by UIDescription More...
class | IViewCreator
| View creator interface. More...
class | UIDescription
| XML description parser and view creator. More...
class | UIViewFactory
| Default view factory. More...
class | IVST3EditorDelegate
| delegate interface for a VST3Editor. More...
class | VST3Editor
| VST3 Editor with automatic parameter binding. More...

## Functions
class | deprecated ("Please use listeners instead")]] IDependency
| simple dependency between objects.

## Detailed Description

## Function Documentation

class VSTGUI::deprecated | ( | "Please use listeners instead" |  | ) |

simple dependency between objects.

You can inject this implementation into CBaseObjects whenever you need other CBaseObjects to be informed about changes to that class instance. Note that you need to handle recursions yourself and that no reference counting is done and that you must make sure that the dependent objects are alife while added as dependent.

add a dependent object

remove a dependent object.

notify dependent objects of change with message.

defer changes until later. can be nested. If you use this, you must make sure that all message pointers are valid the whole time.

helper class to defer changes until instance is destroyed.